<!DOCTYPE html>
<html lang ="en">
    <head>
        <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="../../favicon.ico">

    <title><%= title %></title>
    <link rel='stylesheet' href='/stylesheets/style.css' />
    <!-- Bootstrap core CSS -->
    <link href="https://getbootstrap.com/docs/3.3/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <link href="https://getbootstrap.com/docs/3.3/assets/css/ie10-viewport-bug-workaround.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="https://getbootstrap.com/docs/3.3/examples/starter-template/starter-template.css" rel="stylesheet">
    </head> 
    <body>
        <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="http://localhost:3000/">Assignment #10: XML and JSON</a>
        </div>
        <div id="navbar" class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li><a href="http://localhost:3000/">Home</a></li>
            <li><a href="rawbooksxml">Raw Books XML</a></li>
            <li><a href="rawdonutsxml">Raw Donuts XML</a></li>
            <li><a href="rawbooksjson">Raw Books JSON</a></li>
            <li><a href="rawdonutsjson">Raw Donuts JSON</a></li>
            <li><a href="booksxml">Books XML</a></li>
            <li><a href="donutsxml">Donuts XML</a></li>
            <li><a href="booksjson">Books JSON</a></li>
            <li><a href="donutsjson">Donuts JSON</a></li>
          </ul>
        </div><!--/.nav-collapse -->
      </div>
    </nav>

      <div class="starter-template">
        <h1><%= title %></h1>
        <p>Welcome to <%= title %></p>
      </div>
      <div class ='display'>
      <table class = 'general'>
      <tr>
        <th class ='tdh', rowspan="2">Type</th>
        <th class ='tdh', rowspan="2">Name</th>
        <th class ='tdh', rowspan="2">PPU</th>
        <th class ='tdh', rowspan="2">Batter</th>
        <th class ='tdh', rowspan="2">Topping</th>
        <th class ='tdh-fillings-col', colspan="2">Filling
          <tr>
            <th class ='tdh'>Name</th>
            <th class ='tdh'>Add Cost</th>
          </tr>
        </th>
      </tr>
      
    <% donuts.forEach(function(item){ %>
        <tr>
          <td class ='tdh'><%= item['type'][0] %></td>
            <td class ='tdh'><%= item['name'][0] %></td>
            <td class ='tdh'><%= item['ppu'][0] %></td>
            <td class ='tdh'>
            <% for (var i in item['batters'][0]['batter']){ %>
             <p><%= item['batters'][0]['batter'][i]['text'][0] %></p>
              <% } %>
            </td>
          <td class ='tdh'>
            <% if (typeof item['topping'] != "undefined"){ %> 
                <% for (var i in item['topping']){ %>
                  <p><%= item['topping'][i]['text'][0] %></p>
                <% } %>
            <% } %>
            </td>
            <td class ='tdh'>
            <% if (typeof item['fillings'] != "undefined"){ %> 
                <% for (var i in item['fillings'][0]['filling']){ %>
                  <p><%= item['fillings'][0]['filling'][i]['name'][0] %></p>
                <% } %>
            <% } %> 
            </td>
            <td class ='tdh'>
            <% if (typeof item['fillings'] != "undefined"){ %> 
                <% for (var i in item['fillings'][0]['filling']){ %>
                  <p><%= item['fillings'][0]['filling'][i]['addcost'][0] %></p>
                <% } %>
            <% } %> 
            </td>
        </tr>
    <% }) %> 
  </table>
  </body>
</html>

